YUI().use('node','gallery-carousel','gallery-carousel-anim','substitute', 'gallery-effects','cookie','event-resize','jsonp', 'io', 'dump', 'json-parse', function(Y) {

    var lp_lookup_callback = {
        timeout: 3000,
        on: {
            success : function (id, response) {
                var messages = [];
                try {
                    messages = Y.JSON.parse(response.responseText);
                } catch (e) {
                    Y.log("JSON Parse failed!");
                    return;
                }
                Y.one('#lp_error').setHTML(messages.message);
            },
            failure : function (id, response) {
                Y.log("Async call failed!");
            }
        }
    };


    core.externalLinks = function() {
        Y.all('a.external-link').each(function() {
            this.on('click',function(e) {
                e.preventDefault();
                window.open(this.getAttribute('href'), '_blank');
            });
        })
    }


    core.cookiePolicy = function() {
        if(Y.Cookie.get("_cookies_accepted") != 'true'){
            open();
        }

        function open() {
            YUI().use('node', function(Y) {
                Y.one('body').prepend('<div class="cookie-policy"><div class="wrapper"><a href="?cp=close" class="link-cta">Close</a><p>We use cookies to improve your experience. By your continued use of this site you accept such use. To change your settings please <a href="http://www.ubuntu.com/legal/terms-and-policies/privacy-policy#cookies">see our policy</a>.</p></div></div>');
                Y.one('footer.global .legal').addClass('has-cookie');
                Y.one('.cookie-policy .link-cta').on('click',function(e){
                    e.preventDefault();
                    close();
                });
            });
        }
        function close() {
            YUI().use('node', function(Y) {
                Y.one('.cookie-policy').setStyle('display','none');
                setCookie();
            });
        }
        function setCookie() {
            YUI().use('cookie', function (Y) {
                Y.Cookie.set("_cookies_accepted", "true", { expires: new Date("January 12, 2025") });
            });
        }
    }

    core.setHTMLClasses = function(){
        if(Y.one('body').hasClass('homepage')){
            if (!core.supportsTransitions()) {
                document.getElementsByTagName("html")[0].className += " no-transitions";
            }
            document.getElementsByTagName("html")[0].className += " run";

        }
    }

    core.removeNoJS = function(){
        Y.all('html').removeClass('no-js').addClass('yes-js');
    }

    core.footerMobileNav = function() {
        Y.all('.footer-a li h2').on('click', function(e) {
            e.target.toggleClass('active open');
        });
        Y.all('.footer-b li h2').on('click', function(e) {
            e.target.toggleClass('active open');
        });
    };

    core.resizeListener = function() {
        Y.on('windowresize', function(e) {
            core.redrawGlobal();
        });
        core.globalInit();
    };

    core.globalInit= function() {
        if (document.documentElement.clientWidth < 768) {
            core.globalPrepend = 'div.legal';
            core.setupGlobalNav();
            Y.one('.nav-global-wrapper').insert('<h2>Ubuntu websites</h2>','before');
        } else if (document.documentElement.clientWidth >= 768) {
            core.globalPrepend = 'body';
            core.setupGlobalNav();
            Y.all('#additional-info h2').setStyle('cursor', 'default');
            Y.one('footer.global').addClass('no-global');
        }
    };

    core.redrawGlobal = function() {
        var globalNav = Y.one("#nav-global");
        if (document.documentElement.clientWidth < 768 && core.globalPrepend != 'div.legal') {
            core.globalPrepend = 'div.legal';
            if (globalNav) {
                globalNav.remove();
                core.setupGlobalNav();
                Y.one('.nav-global-wrapper').insert('<h2>Ubuntu websites</h2>','before');
                Y.one('#nav-global h2').setStyle('cursor', 'pointer').append('<span></span>').on('click',function(e) {
                    this.toggleClass('active');
                    this.next('div').toggleClass('active');
                });
            }
        } else if (document.documentElement.clientWidth >= 768 && core.globalPrepend != 'body') {
            Y.one('footer.global').addClass('no-global');
            core.globalPrepend = 'body';
            if (globalNav) {
                globalNav.remove();
                core.setupGlobalNav();
            }
        }
    };

    core.setupGlobalNavAccordion = function() {
        if(Y.one('#nav-global h2') !== null) {
            Y.one('#nav-global h2').setStyle('cursor', 'pointer').append('<span></span>').on('click',function(e) {
                this.toggleClass('active');
                this.next('div').toggleClass('active');
            });
        }
    };

    core.removeNoJS();
    core.externalLinks();
    core.cookiePolicy();
    core.setHTMLClasses();
    core.resizeListener();
    core.footerMobileNav();
    core.setupGlobalNavAccordion();
});
